## Index

### Functions

- apply
- construct
- defineProperty
- deleteProperty
- get
- getOwnPropertyDescriptor
- getPrototypeOf
- has
- isExtensible
- ownKeys
- preventExtensions
- set
- setPrototypeOf

## Functions

### apply

- apply(target: Function, thisArgument: any, argumentsList: ArrayLike<any>): any

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.reflect.d.ts:22

  #### Parameters

  - ##### target: Function

  - ##### thisArgument: any

  - ##### argumentsList: ArrayLike<any>

  #### Returns any

### construct

- construct(target: Function, argumentsList: ArrayLike<any>, newTarget?: any): any

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.reflect.d.ts:23

  #### Parameters

  - ##### target: Function

  - ##### argumentsList: ArrayLike<any>

  - ##### Optional newTarget: any

  #### Returns any

### defineProperty

- defineProperty(target: object, propertyKey: PropertyKey, attributes: PropertyDescriptor): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.reflect.d.ts:24

  #### Parameters

  - ##### target: object

  - ##### propertyKey: PropertyKey

  - ##### attributes: PropertyDescriptor

  #### Returns boolean

### deleteProperty

- deleteProperty(target: object, propertyKey: PropertyKey): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.reflect.d.ts:25

  #### Parameters

  - ##### target: object

  - ##### propertyKey: PropertyKey

  #### Returns boolean

### get

- get(target: object, propertyKey: PropertyKey, receiver?: any): any

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.reflect.d.ts:26

  #### Parameters

  - ##### target: object

  - ##### propertyKey: PropertyKey

  - ##### Optional receiver: any

  #### Returns any

### getOwnPropertyDescriptor

- getOwnPropertyDescriptor(target: object, propertyKey: PropertyKey): PropertyDescriptor | undefined

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.reflect.d.ts:27

  #### Parameters

  - ##### target: object

  - ##### propertyKey: PropertyKey

  #### Returns PropertyDescriptor | undefined

### getPrototypeOf

- getPrototypeOf(target: object): object

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.reflect.d.ts:28

  #### Parameters

  - ##### target: object

  #### Returns object

### has

- has(target: object, propertyKey: PropertyKey): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.reflect.d.ts:29

  #### Parameters

  - ##### target: object

  - ##### propertyKey: PropertyKey

  #### Returns boolean

### isExtensible

- isExtensible(target: object): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.reflect.d.ts:30

  #### Parameters

  - ##### target: object

  #### Returns boolean

### ownKeys

- ownKeys(target: object): PropertyKey[]

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.reflect.d.ts:31

  #### Parameters

  - ##### target: object

  #### Returns PropertyKey[]

### preventExtensions

- preventExtensions(target: object): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.reflect.d.ts:32

  #### Parameters

  - ##### target: object

  #### Returns boolean

### set

- set(target: object, propertyKey: PropertyKey, value: any, receiver?: any): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.reflect.d.ts:33

  #### Parameters

  - ##### target: object

  - ##### propertyKey: PropertyKey

  - ##### value: any

  - ##### Optional receiver: any

  #### Returns boolean

### setPrototypeOf

- setPrototypeOf(target: object, proto: any): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.reflect.d.ts:34

  #### Parameters

  - ##### target: object

  - ##### proto: any

  #### Returns boolean

Generated using TypeDoc